Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api
Interface VirtualMachineService

All Superinterfaces:
  java.rmi.Remote

      public interface VirtualMachineService

extends java.rmi.Remote

Virtual Machine Service web service interface

Method Summary
`void` | `createPropertiesFileOnVirtualMachine(java.util.Properties props, VirtualMachine vm, java.lang.String propFileName)`
`void` | `deleteVMByVMId(java.lang.Long vmId)`
`java.util.List` | `getAllAlertAssociatedWithImg(VirtualMachine vm)`
`OperatingSystem[]` | `getAllOperatingSystemArray()`
`VirtualMachine[]` | `getAllVMs(ServerPool serverPool)`
`VirtualMachine[]` | `getAllVMs(VirtualServer server)`
`ServerPool` | `getAssociatedPool(VirtualMachine virtualMachine)`
`VirtualServer` | `getAssociatedServer(VirtualMachine virtualMachine)`
`AlertLog` | `getLastAlertAssociatedWithDisk(VirtualDisk disk)`
`AlertLog` | `getLastAlertAssociatedWithDisk(VirtualDisk disk, oracle.ovs.biz.log.AlertLevel level)`
`AlertLog` | `getLastAlertAssociatedWithImg(VirtualMachine vm)`
`AlertLog` | `getLastAlertAssociatedWithImg(VirtualMachine vm, oracle.ovs.biz.log.AlertLevel level)`
`java.lang.String` | `getRealPath(VirtualMachine vm)`
`VirtualMachine` | `getVM(VirtualMachine virtualMachine)`
`VirtualMachine` | `getVMByName(java.lang.String serverPoolName, java.lang.String name)`
`java.lang.String` | `getVncPassword(VirtualMachine vm)`
`void` | `pauseVMByVMId(java.lang.Long vmId)`
`void` | `powerOffVMByVMId(java.lang.Long vmId)`
`void` | `powerOnVMByVMId(java.lang.Long vmId)`
`CdConfig[]` | `queryCdromArray(VirtualMachine vm)`
`VirtualDisk` | `queryLocalDiskInfo(VirtualDisk disk)`
`java.util.List` | `queryLocalDisks(VirtualMachine vm)`
`VirtualNetworkCard[]` | `queryNetworkInterfaceCardArray(VirtualMachine vm)`
`java.util.List` | `queryPreferredServer(VirtualMachine vm)`
`VirtualServer[]` | `queryPreferredServerArray(java.lang.Long vmId)`
`VirtualDisk` | `querySharedDiskInfo(VirtualMachine vm, VirtualDisk disk)`
`java.util.List` | `querySharedDisks(VirtualMachine vm)`
`SharedVirtualDisk[]` | `querySharedVirtualDiskArray(java.lang.Long vmId)`
`VmMetrics[]` | `queryVMMetricArrayByVMIds(long[] vmIds)`
`VmMetrics` | `queryVMMetricByVMId(long vmId)`
`VmStatus[]` | `queryVMStatusArrayByVMIds(long[] vmIds)`
`VmStatus` | `queryVMStatusByVMId(long vmId)`
`void` | `rebootVMByVMId(java.lang.Long vmId)`
`void` | `resumeVMByVMId(java.lang.Long vmId)`
`void` | `saveAsTemplate(VirtualMachine vm)`
`void` | `saveAsTemplate(VirtualMachine vm, java.lang.String templateName)`
`void` | `saveAsTemplateAsync(VirtualMachine vm, java.lang.String templateName)`
`void` | `setVMName(VirtualMachine virtualMachine, java.lang.String val)`
`void` | `suspendVMByVMId(java.lang.Long vmId)`
`void` | `unpauseVMByVMId(java.lang.Long vmId)`
`void` | `unregisterVMByVMId(java.lang.Long vmId)`
`java.lang.Object` | `update(java.lang.Object object)`
`void` | `uploadVirtualMachine(VirtualMachine vm, oracle.ovs.biz.util.OvmUrl tgtUrl)`

Method Detail

### unpauseVMByVMId

    void unpauseVMByVMId(java.lang.Long vmId)
                         throws oracle.ovs.biz.exception.OVSException,
                                java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getLastAlertAssociatedWithDisk

    AlertLog getLastAlertAssociatedWithDisk(VirtualDisk disk)
                                            throws oracle.ovs.biz.exception.OVSException,
                                                   java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### unregisterVMByVMId

    void unregisterVMByVMId(java.lang.Long vmId)
                            throws oracle.ovs.biz.exception.OVSException,
                                   java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### queryPreferredServerArray

    VirtualServer[] queryPreferredServerArray(java.lang.Long vmId)
                                              throws oracle.ovs.biz.exception.OVSException,
                                                     java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getAssociatedPool

    ServerPool getAssociatedPool(VirtualMachine virtualMachine)
                                 throws oracle.ovs.biz.exception.OVSException,
                                        java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getAllVMs

    VirtualMachine[] getAllVMs(VirtualServer server)
                               throws oracle.ovs.biz.exception.OVSException,
                                      java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### saveAsTemplateAsync

    void saveAsTemplateAsync(VirtualMachine vm,
                             java.lang.String templateName)
                             throws oracle.ovs.biz.exception.OVSException,
                                    java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getLastAlertAssociatedWithImg

    AlertLog getLastAlertAssociatedWithImg(VirtualMachine vm)
                                           throws oracle.ovs.biz.exception.OVSException,
                                                  java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### resumeVMByVMId

    void resumeVMByVMId(java.lang.Long vmId)
                        throws oracle.ovs.biz.exception.OVSException,
                               java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### queryLocalDisks

    java.util.List queryLocalDisks(VirtualMachine vm)
                                   throws oracle.ovs.biz.exception.OVSException,
                                          java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### queryLocalDiskInfo

    VirtualDisk queryLocalDiskInfo(VirtualDisk disk)
                                   throws oracle.ovs.biz.exception.OVSException,
                                          java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### querySharedDiskInfo

    VirtualDisk querySharedDiskInfo(VirtualMachine vm,
                                    VirtualDisk disk)
                                    throws oracle.ovs.biz.exception.OVSException,
                                           java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### uploadVirtualMachine

    void uploadVirtualMachine(VirtualMachine vm,
                              oracle.ovs.biz.util.OvmUrl tgtUrl)
                              throws oracle.ovs.biz.exception.OVSException,
                                     java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### querySharedVirtualDiskArray

    SharedVirtualDisk[] querySharedVirtualDiskArray(java.lang.Long vmId)
                                                    throws oracle.ovs.biz.exception.OVSException,
                                                           java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getAllAlertAssociatedWithImg

    java.util.List getAllAlertAssociatedWithImg(VirtualMachine vm)
                                                throws oracle.ovs.biz.exception.OVSException,
                                                       java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getVMByName

    VirtualMachine getVMByName(java.lang.String serverPoolName,
                               java.lang.String name)
                               throws oracle.ovs.biz.exception.OVSException,
                                      java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### queryPreferredServer

    java.util.List queryPreferredServer(VirtualMachine vm)
                                        throws oracle.ovs.biz.exception.OVSException,
                                               java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### queryVMMetricByVMId

    VmMetrics queryVMMetricByVMId(long vmId)
                                  throws oracle.ovs.biz.exception.OVSException,
                                         java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### deleteVMByVMId

    void deleteVMByVMId(java.lang.Long vmId)
                        throws oracle.ovs.biz.exception.OVSException,
                               java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### createPropertiesFileOnVirtualMachine

    void createPropertiesFileOnVirtualMachine(java.util.Properties props,
                                              VirtualMachine vm,
                                              java.lang.String propFileName)
                                              throws oracle.ovs.biz.exception.OVSException,
                                                     java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### saveAsTemplate

    void saveAsTemplate(VirtualMachine vm)
                        throws oracle.ovs.biz.exception.OVSException,
                               java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### pauseVMByVMId

    void pauseVMByVMId(java.lang.Long vmId)
                       throws oracle.ovs.biz.exception.OVSException,
                              java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### suspendVMByVMId

    void suspendVMByVMId(java.lang.Long vmId)
                         throws oracle.ovs.biz.exception.OVSException,
                                java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### queryVMStatusArrayByVMIds

    VmStatus[] queryVMStatusArrayByVMIds(long[] vmIds)
                                         throws oracle.ovs.biz.exception.OVSException,
                                                java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getRealPath

    java.lang.String getRealPath(VirtualMachine vm)
                                 throws oracle.ovs.biz.exception.OVSException,
                                        java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### saveAsTemplate

    void saveAsTemplate(VirtualMachine vm,
                        java.lang.String templateName)
                        throws oracle.ovs.biz.exception.OVSException,
                               java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getVM

    VirtualMachine getVM(VirtualMachine virtualMachine)
                         throws oracle.ovs.biz.exception.OVSException,
                                java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getAssociatedServer

    VirtualServer getAssociatedServer(VirtualMachine virtualMachine)
                                      throws oracle.ovs.biz.exception.OVSException,
                                             java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### queryNetworkInterfaceCardArray

    VirtualNetworkCard[] queryNetworkInterfaceCardArray(VirtualMachine vm)
                                                        throws oracle.ovs.biz.exception.OVSException,
                                                               java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getAllVMs

    VirtualMachine[] getAllVMs(ServerPool serverPool)
                               throws oracle.ovs.biz.exception.OVSException,
                                      java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### queryVMMetricArrayByVMIds

    VmMetrics[] queryVMMetricArrayByVMIds(long[] vmIds)
                                          throws oracle.ovs.biz.exception.OVSException,
                                                 java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### queryVMStatusByVMId

    VmStatus queryVMStatusByVMId(long vmId)
                                 throws oracle.ovs.biz.exception.OVSException,
                                        java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getAllOperatingSystemArray

    OperatingSystem[] getAllOperatingSystemArray()
                                                 throws oracle.ovs.biz.exception.OVSException,
                                                        java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### queryCdromArray

    CdConfig[] queryCdromArray(VirtualMachine vm)
                               throws oracle.ovs.biz.exception.OVSException,
                                      java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### setVMName

    void setVMName(VirtualMachine virtualMachine,
                   java.lang.String val)
                   throws oracle.ovs.biz.exception.OVSException,
                          java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getLastAlertAssociatedWithImg

    AlertLog getLastAlertAssociatedWithImg(VirtualMachine vm,
                                           oracle.ovs.biz.log.AlertLevel level)
                                           throws oracle.ovs.biz.exception.OVSException,
                                                  java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getLastAlertAssociatedWithDisk

    AlertLog getLastAlertAssociatedWithDisk(VirtualDisk disk,
                                            oracle.ovs.biz.log.AlertLevel level)
                                            throws oracle.ovs.biz.exception.OVSException,
                                                   java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### querySharedDisks

    java.util.List querySharedDisks(VirtualMachine vm)
                                    throws oracle.ovs.biz.exception.OVSException,
                                           java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### update

    java.lang.Object update(java.lang.Object object)
                            throws oracle.ovs.biz.exception.OVSException,
                                   java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getVncPassword

    java.lang.String getVncPassword(VirtualMachine vm)
                                    throws oracle.ovs.biz.exception.OVSException,
                                           java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### powerOffVMByVMId

    void powerOffVMByVMId(java.lang.Long vmId)
                          throws oracle.ovs.biz.exception.OVSException,
                                 java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### rebootVMByVMId

    void rebootVMByVMId(java.lang.Long vmId)
                        throws oracle.ovs.biz.exception.OVSException,
                               java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### powerOnVMByVMId

    void powerOnVMByVMId(java.lang.Long vmId)
                         throws oracle.ovs.biz.exception.OVSException,
                                java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.